﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ornek1
{
    public partial class Form1 : Form
    {
        masa[] masalar;
        string[] urunler = {"İnternet","PS4","Oyun","Çay","Tost","Kahve"};
        int[] fiyatlar = {2,1,1,1,3,2 };
   
        public Form1()
        {
            InitializeComponent();
        }

        private void ekle_Click(object sender, EventArgs e)
        {
            int index=comboBox1.SelectedIndex;
            if ( index> -1)
            {
                if (masalar[index] == null)
                {
                    masalar[index] = new masa(); // yeni bir masa
                    masalar[index].isim = comboBox1.Text;
                }

                Form2 frm = new Form2(masalar[index], urunler,fiyatlar);
                frm.ShowDialog();
                masalariyazdir();

            }

        }

        private void masalariyazdir()
        {
            listBox1.Items.Clear();
            listBox2.Items.Clear();

            for (int i = 0; i < masalar.Length; i++)
            {

                if (masalar[i] != null)
                {
                    listBox1.Items.Add(masalar[i].isim); // masanin adini listbox a yazdik;

                    int toplamucret = 0;

                    if (masalar[i].urun != null)
                    {
                        for (int k = 0; k < masalar[i].urun.Length; k++)
                        {
                            int urunfiyat = fiyatlar[masalar[i].urun[k]]; // girilen urunun fiyati
                            int miktar = masalar[i].miktar[k];
                            toplamucret += miktar * urunfiyat;
                        }
                    }

                    listBox2.Items.Add(toplamucret.ToString());

                }
            }
        

        
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            masalar = new masa[20];

            for (int i = 0; i < 20; i++)
            {
                comboBox1.Items.Add("Masa " + (i + 1));
            }

            comboBox1.Text = "Seçiniz";

        }
    }

    public class masa
    {
        public string isim = "";
        public int[] urun;
        public int[] miktar;
    }
  
}
