﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ornek1
{
    public partial class Form2 : Form
    {
        masa m;
        int[] fiyatlar;
        string[] urunler;

        public Form2(masa _m, string[] _urunler, int[] _fiyatlar)
        {
            InitializeComponent();
            m = _m;
            fiyatlar = _fiyatlar;
            urunler = _urunler;

            for (int i = 0; i < urunler.Length; i++)
            {
                comboBox1.Items.Add(urunler[i]); // urunleri comboya yazdik
            }
            comboBox1.Text = "Seçiniz";

            // listbox doldur

            if (m.urun != null) // dizi bos degil ise
            {
                for (int i = 0; i < m.urun.Length; i++)
                {
                    listBox1.Items.Add(urunler[m.urun[i]]);
                    listBox2.Items.Add(m.miktar[i].ToString());
                    int tutar = m.miktar[i] * fiyatlar[m.urun[i]];
                    listBox3.Items.Add(tutar.ToString());
                }
      
            }

        }

        private void ekle_Click(object sender, EventArgs e)
        {
            int adet=0;
            bool kont =Int32.TryParse(textBox1.Text, out adet);

            if (comboBox1.SelectedIndex > -1 && kont)
            {
                int ucret = adet * fiyatlar[comboBox1.SelectedIndex];
                listBox1.Items.Add(comboBox1.Text);
                listBox2.Items.Add(textBox1.Text);
                listBox3.Items.Add(ucret.ToString());

                textBox1.Text = "";
                comboBox1.Text = "Seçiniz";
                masaguncelle();
            }
        }

        private void sil_Click(object sender, EventArgs e)
        {
            int secilen = listBox1.SelectedIndex;
            if (secilen> - 1)
            {
                listBox1.Items.RemoveAt(secilen);
                listBox2.Items.RemoveAt(secilen);
                listBox3.Items.RemoveAt(secilen);
                masaguncelle();
            }
        }


        private void masaguncelle()
        { // masa nesnesini guncelleme

            m.miktar = null;
            m.urun = null;

            if (listBox1.Items.Count > 0)
            {
                m.urun = new int[listBox1.Items.Count];
                m.miktar = new int[listBox1.Items.Count];

                for (int i = 0; i < listBox1.Items.Count; i++)
                {
                    m.miktar[i] = Convert.ToInt32(listBox2.Items[i].ToString());
                    m.urun[i] = Array.IndexOf(urunler, listBox1.Items[i].ToString());
                }
            }
           
        }

        private void cikis_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
